Index: /trunk/admin/batch_manager_global.php
===================================================================
--- /trunk/admin/batch_manager_global.php	(revision 28496)
+++ /trunk/admin/batch_manager_global.php	(revision 28497)
@@ -287,14 +287,11 @@
   if ('date_creation' == $action)
   {
-    $date_creation = sprintf(
-      '%u-%u-%u',
-      $_POST['date_creation_year'],
-      $_POST['date_creation_month'],
-      $_POST['date_creation_day']
-      );
-
-    if (isset($_POST['remove_date_creation']))
+    if (isset($_POST['remove_date_creation']) || empty($_POST['date_creation']))
     {
       $date_creation = null;
+    }
+    else
+    {
+      $date_creation = $_POST['date_creation'].' 00:00:00';
     }
 
@@ -568,22 +565,6 @@
 
 // creation date
-$day =
-empty($_POST['date_creation_day']) ? date('j') : $_POST['date_creation_day'];
-
-$month =
-empty($_POST['date_creation_month']) ? date('n') : $_POST['date_creation_month'];
-
-$year =
-empty($_POST['date_creation_year']) ? date('Y') : $_POST['date_creation_year'];
-
-$month_list = $lang['month'];
-$month_list[0]='------------';
-ksort($month_list);
-$template->assign( array(
-      'month_list'         => $month_list,
-      'DATE_CREATION_DAY'  => (int)$day,
-      'DATE_CREATION_MONTH'=> (int)$month,
-      'DATE_CREATION_YEAR' => (int)$year,
-    )
+$template->assign('DATE_CREATION',
+  empty($_POST['date_creation']) ? date('y-n-j') : $_POST['date_creation']
   );
 
Index: /trunk/admin/batch_manager_unit.php
===================================================================
--- /trunk/admin/batch_manager_unit.php	(revision 28496)
+++ /trunk/admin/batch_manager_unit.php	(revision 28497)
@@ -77,21 +77,19 @@
     }
 
-    if (isset($_POST['date_creation_action-'.$row['id']]))
-    {
-      if ('set' == $_POST['date_creation_action-'.$row['id']])
+    if (!empty($_POST['date_creation-'.$row['id']]))
+    {
+      if (!empty($row['date_creation']))
       {
-        $data['date_creation'] =
-          $_POST['date_creation_year-'.$row['id']]
-            .'-'.$_POST['date_creation_month-'.$row['id']]
-            .'-'.$_POST['date_creation_day-'.$row['id']];
+        list(, $time) = explode(' ', $row['date_creation']);
       }
-      else if ('unset' == $_POST['date_creation_action-'.$row['id']])
+      else
       {
-        $data['date_creation'] = '';
+        $time = '00:00:00';
       }
+      $data['date_creation'] = $_POST['date_creation-'.$row['id']].' '.$time;
     }
     else
     {
-      $data['date_creation'] = $row['date_creation'];
+      $data['date_creation'] = null;
     }
 
@@ -129,13 +127,8 @@
 $base_url = PHPWG_ROOT_PATH.'admin.php';
 
-$month_list = $lang['month'];
-$month_list[0]='------------';
-ksort($month_list);
-
 $template->assign(
   array(
     'U_ELEMENTS_PAGE' => $base_url.get_query_string_diff(array('display','start')),
-    'F_ACTION'=>$base_url.get_query_string_diff(array()),
-    'month_list' => $month_list,
+    'F_ACTION' => $base_url.get_query_string_diff(array()),
     'level_options' => get_privacy_level_options(),
     )
@@ -233,9 +226,9 @@
     if (!empty($row['date_creation']))
     {
-      list($year,$month,$day) = explode('-', $row['date_creation']);
+      list($date) = explode(' ', $row['date_creation']);
     }
     else
     {
-      list($year,$month,$day) = array('',0,0);
+      $date = '';
     }
 
@@ -268,7 +261,5 @@
         'LEVEL' => !empty($row['level'])?$row['level']:'0',
         'DESCRIPTION' => htmlspecialchars(@$row['comment']),
-        'DATE_CREATION_YEAR' => $year,
-        'DATE_CREATION_MONTH' => (int)$month,
-        'DATE_CREATION_DAY' => (int)$day,
+        'DATE_CREATION' => $date,
         'TAGS' => $tag_selection,
         )
Index: /trunk/admin/history.php
===================================================================
--- /trunk/admin/history.php	(revision 28496)
+++ /trunk/admin/history.php	(revision 28497)
@@ -74,22 +74,12 @@
 {
   // dates
-  if (!empty($_POST['start_year']))
-  {
-    $search['fields']['date-after'] = sprintf(
-      '%d-%02d-%02d',
-      $_POST['start_year'],
-      $_POST['start_month'],
-      $_POST['start_day']
-      );
-  }
-
-  if (!empty($_POST['end_year']))
-  {
-    $search['fields']['date-before'] = sprintf(
-      '%d-%02d-%02d',
-      $_POST['end_year'],
-      $_POST['end_month'],
-      $_POST['end_day']
-      );
+  if (!empty($_POST['start']))
+  {
+    $search['fields']['date-after'] = $_POST['start'];
+  }
+
+  if (!empty($_POST['end']))
+  {
+    $search['fields']['date-before'] = $_POST['end'];
   }
 
@@ -552,18 +542,10 @@
   if (isset($page['search']['fields']['date-after']))
   {
-    $tokens = explode('-', $page['search']['fields']['date-after']);
-
-    $form['start_year']  = (int)$tokens[0];
-    $form['start_month'] = (int)$tokens[1];
-    $form['start_day']   = (int)$tokens[2];
+    $form['start'] = $page['search']['fields']['date-after'];
   }
 
   if (isset($page['search']['fields']['date-before']))
   {
-    $tokens = explode('-', $page['search']['fields']['date-before']);
-
-    $form['end_year']  = (int)$tokens[0];
-    $form['end_month'] = (int)$tokens[1];
-    $form['end_day']   = (int)$tokens[2];
+    $form['end'] = $page['search']['fields']['date-before'];
   }
 
@@ -589,7 +571,5 @@
   // by default, at page load, we want the selected date to be the current
   // date
-  $form['start_year']  = $form['end_year']  = date('Y');
-  $form['start_month'] = $form['end_month'] = date('n');
-  $form['start_day']   = $form['end_day']   = date('j');
+  $form['start'] = $form['end'] = date('Y-n-j');
   $form['types'] = $types;
   // Hoverbox by default
@@ -598,8 +578,4 @@
 }
 
-
-$month_list = $lang['month'];
-$month_list[0]='------------';
-ksort($month_list);
 
 $template->assign(
@@ -608,14 +584,6 @@
     'FILENAME' => @$form['filename'],
     'IP' => @$form['ip'],
-
-    'month_list' => $month_list,
-
-    'START_DAY_SELECTED' => @$form['start_day'],
-    'START_MONTH_SELECTED' => @$form['start_month'],
-    'START_YEAR' => @$form['start_year'],
-
-    'END_DAY_SELECTED' => @$form['end_day'],
-    'END_MONTH_SELECTED' => @$form['end_month'],
-    'END_YEAR'   => @$form['end_year'],
+    'START' => @$form['start'],
+    'END' => @$form['end'],
     )
   );
Index: /trunk/admin/picture_modify.php
===================================================================
--- /trunk/admin/picture_modify.php	(revision 28496)
+++ /trunk/admin/picture_modify.php	(revision 28497)
@@ -109,21 +109,5 @@
 
 //--------------------------------------------------------- update informations
-
-// first, we verify whether there is a mistake on the given creation date
-if (isset($_POST['date_creation_action'])
-    and 'set' == $_POST['date_creation_action'])
-{
-  if (!is_numeric($_POST['date_creation_year'])
-    or !checkdate(
-          $_POST['date_creation_month'],
-          $_POST['date_creation_day'],
-          $_POST['date_creation_year'])
-    )
-  {
-    $page['errors'][] = l10n('wrong date');
-  }
-}
-
-if (isset($_POST['submit']) and count($page['errors']) == 0)
+if (isset($_POST['submit']))
 {
   $data = array();
@@ -142,11 +126,7 @@
   }
 
-  if (!empty($_POST['date_creation_year']))
-  {
-    $data['date_creation'] =
-      $_POST['date_creation_year']
-      .'-'.$_POST['date_creation_month']
-      .'-'.$_POST['date_creation_day']
-      .' '.$_POST['date_creation_time'];
+  if (!empty($_POST['date_creation']))
+  {
+    $data['date_creation'] = $_POST['date_creation'].' '.$_POST['date_creation_time'];
   }
   else
@@ -340,35 +320,18 @@
 unset($day, $month, $year);
 
-if (isset($_POST['date_creation_action'])
-    and 'set' == $_POST['date_creation_action'])
-{
-  foreach (array('day', 'month', 'year', 'time') as $varname)
-  {
-    $$varname = $_POST['date_creation_'.$varname];
-  }
-}
-else if (isset($row['date_creation']) and !empty($row['date_creation']))
-{
-  list($year, $month, $day) = explode('-', substr($row['date_creation'],0,10));
-  $time = substr($row['date_creation'],11);
+if (!empty($row['date_creation']))
+{
+  list($date, $time) = explode(' ', $row['date_creation']);
 }
 else
 {
-  list($year, $month, $day) = array('', 0, 0);
+  $date = '';
   $time = '00:00:00';
 }
-
-
-$month_list = $lang['month'];
-$month_list[0]='------------';
-ksort($month_list);
 
 $template->assign(
     array(
-      'DATE_CREATION_DAY_VALUE' => (int)$day,
-      'DATE_CREATION_MONTH_VALUE' => (int)$month,
-      'DATE_CREATION_YEAR_VALUE' => $year,
-      'DATE_CREATION_TIME_VALUE' => $time,
-      'month_list' => $month_list,
+      'DATE_CREATION' => $date,
+      'DATE_CREATION_TIME' => $time,
       )
     );
Index: /trunk/admin/themes/default/js/datepicker.js
===================================================================
--- /trunk/admin/themes/default/js/datepicker.js	(revision 28497)
+++ /trunk/admin/themes/default/js/datepicker.js	(revision 28497)
@@ -0,0 +1,61 @@
+jQuery.fn.pwgDatepicker = function(options) {
+  options = options || {};
+  
+  return this.each(function() {
+    var $this = jQuery(this),
+        $target = jQuery('[name="'+ jQuery(this).data('datepicker') +'"]'),
+        value = $target.val().split('-');
+    
+    function set(date) {
+      $this.datepicker('setDate', date);
+      
+      if ($this.data('datepicker-start')) {
+        $start.datepicker('option', 'maxDate', date);
+      }
+      else if ($this.data('datepicker-end')) {
+        $end.datepicker('option', 'minDate', date);
+      }
+    }
+
+    // init picker
+    $this.datepicker(jQuery.extend({
+      dateFormat: 'DD d MM yy',
+      altField: $target,
+      altFormat: 'yy-mm-dd',
+      autoSize: true,
+      changeMonth : true,
+      changeYear: true
+    }, options));
+    
+    // attach linked picker (for ranges)
+    if ($this.data('datepicker-start')) {
+      var $start = jQuery('[data-datepicker="'+ jQuery(this).data('datepicker-start') +'"]');
+      
+      $this.datepicker('option', 'onClose', function(date) {
+        $start.datepicker('option', 'maxDate', date);
+      });
+    }
+    else if ($this.data('datepicker-end')) {
+      var $end = jQuery('[data-datepicker="'+ jQuery(this).data('datepicker-end') +'"]');
+      
+      $this.datepicker('option', 'onClose', function(date) {
+        $end.datepicker('option', 'minDate', date);
+      });
+    }
+    
+    // attach unset button
+    if ($this.data('datepicker-unset')) {
+      jQuery('#'+ $this.data('datepicker-unset')).on('click', function(e) {
+        e.preventDefault();
+        
+        $target.val('');
+        set(null);
+      });
+    }
+    
+    // set value from linked input
+    if (value.length == 3) {
+      set(new Date(value[0], value[1]-1, value[2]));
+    }
+  });
+};
